/* Lånekalkylen från exempel 2-7, utan några fel. */
// --------------------------------------------------
// Globala variabler
let amountElem;     // input-element för lånebelopp
let nrOfYearsMenu;  // select-element för val av antal år
let	interestElem;   // input-element för ränta
let resElem;        // Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	amountElem = document.querySelector("#amount");
	nrOfYearsMenu = document.querySelector("#nrOfYears");
	interestElem = document.querySelector("#interest");
	resElem = document.querySelector("#result");
	document.querySelector("#calcBtn").addEventListener("click", calculatePayment);
	// Gränser och initialt värde för lånebelopp
	amountElem.min = 10000;
	amountElem.max = 400000;
	amountElem.value = 100000;
	amountElem.step = 10000;
	// Gränser och initialt värde för ränta
	interestElem.min = 0;
	interestElem.max = 9;
	interestElem.value = 2;
	interestElem.step = 0.1;
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Beräkna månadskostnad för annuitetslån
function calculatePayment() {
	let a = amountElem.value;     // Önskat lånebelopp
	let n = nrOfYearsMenu.value;  // Antal år
	let i = interestElem.value;   // Räntesats i procent
	let payment;                  // Betalning per månad
	resElem.innerText = "";
	if (a == "" || a < 10000 || a > 400000) {
		resElem.innerText = "Lånebeloppet måste vara mellan 10 000 och 400 000 kr";
		return; // Avbryt funktionen
	}
	if (i == "" || i < 0 || i > 9) {
		resElem.innerText = "Räntan måste vara mellan 0 och 9 %";
		return; // Avbryt funktionen
	}
	i = i / 100 / 12;  // Räntesats per månad
	n = n * 12;        // Antal månader
	if (i == 0) {
		payment = a / n;
	}
	else {
		payment = a * i / (1 - (1 + i) ** (-n));
	}
	resElem.innerText = parseInt(payment) + " kr per månad";
} // Slut calculatePayment
// --------------------------------------------------
